Index: cdr_addon_mysql.c
===================================================================
--- cdr_addon_mysql.c	(revision 438)
+++ cdr_addon_mysql.c	(working copy)
@@ -207,7 +207,8 @@
 		return -1;
 	}
 
-	ast_log(LOG_DEBUG, "cdr_mysql: inserting a CDR record.\n");
+	if (option_debug)
+		ast_log(LOG_DEBUG, "cdr_mysql: inserting a CDR record.\n");
 
 	if (userfield && userfielddata) {
 #ifdef MYSQL_LOGUNIQUEID
@@ -223,7 +224,8 @@
 #endif
 	}
 	
-	ast_log(LOG_DEBUG, "cdr_mysql: SQL command as follows: %s\n", sqlcmd);
+	if (option_debug)
+		ast_log(LOG_DEBUG, "cdr_mysql: SQL command as follows: %s\n", sqlcmd);
 	
 	if (connected) {
 		if (mysql_real_query(&mysql, sqlcmd, strlen(sqlcmd))) {
@@ -417,14 +419,16 @@
 	
 	ast_config_destroy(cfg);
 
-	ast_log(LOG_DEBUG, "cdr_mysql: got hostname of %s\n", hostname);
-	ast_log(LOG_DEBUG, "cdr_mysql: got port of %d\n", dbport);
-	ast_log(LOG_DEBUG, "cdr_mysql: got a timeout of %d\n", timeout);
-	if (dbsock)
-		ast_log(LOG_DEBUG, "cdr_mysql: got sock file of %s\n", dbsock);
-	ast_log(LOG_DEBUG, "cdr_mysql: got user of %s\n", dbuser);
-	ast_log(LOG_DEBUG, "cdr_mysql: got dbname of %s\n", dbname);
-	ast_log(LOG_DEBUG, "cdr_mysql: got password of %s\n", password);
+	if (option_debug) {
+		ast_log(LOG_DEBUG, "cdr_mysql: got hostname of %s\n", hostname);
+		ast_log(LOG_DEBUG, "cdr_mysql: got port of %d\n", dbport);
+		ast_log(LOG_DEBUG, "cdr_mysql: got a timeout of %d\n", timeout);
+		if (dbsock)
+			ast_log(LOG_DEBUG, "cdr_mysql: got sock file of %s\n", dbsock);
+		ast_log(LOG_DEBUG, "cdr_mysql: got user of %s\n", dbuser);
+		ast_log(LOG_DEBUG, "cdr_mysql: got dbname of %s\n", dbname);
+		ast_log(LOG_DEBUG, "cdr_mysql: got password of %s\n", password);
+	}
 
 	mysql_init(&mysql);
 
@@ -437,7 +441,8 @@
 		connected = 0;
 		records = 0;
 	} else {
-		ast_log(LOG_DEBUG, "Successfully connected to MySQL database.\n");
+		if (option_debug)
+			ast_log(LOG_DEBUG, "Successfully connected to MySQL database.\n");
 		connected = 1;
 		records = 0;
 		connect_time = time(NULL);
